Create Group Conversation
curl --request POST \
--url https://api.replyke.com/api/v6/:projectId/api/v7/conversations \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"memberIds": [
"<string>"
],
"metadata": {}
}
'import requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/conversations"
payload = {
"type": "<string>",
"name": "<string>",
"description": "<string>",
"memberIds": ["<string>"],
"metadata": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
name: '<string>',
description: '<string>',
memberIds: ['<string>'],
metadata: {}
})
};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Chat — Conversations
Create Group Conversation
Create a new multi-member group conversation
POST
/
:projectId
/
api
/
v7
/
conversations
Create Group Conversation
Creates a group conversation. The caller is automatically added as an
One or more provided user IDs do not exist in this project.
admin. All provided memberIds are validated to belong to the project and added as member.
Body Parameters
Must be
"group".Display name of the conversation. Maximum 200 characters. Optional.
Optional description for the conversation. Maximum 1000 characters.
Array of user IDs to add to the conversation. Defaults to
[]. The caller’s own ID is ignored if included — they are always added as admin. All IDs must belong to the same project.Custom key-value data to attach to the conversation. Optional.
Response
Returns the created Conversation object with HTTP201.
Error Responses
Invalid Member — 400 Bad Request
Invalid Member — 400 Bad Request
{ "error": "User 'abc' does not belong to this project.", "code": "chat/invalid-member" }
⌘I

